<?php
/*------------------------------------------------------------------------
# mod_ospropertysearch.php - OS Property search module
# ------------------------------------------------------------------------
# author    Dang Thuc Dam
# copyright Copyright (C) 2010 joomdonation.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomdonation.com
# Technical Support:  Forum - http://www.joomdonation.com/forum.html
*/
/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');
error_reporting(E_ERROR||E_NOTICE||E_PARSE||E_CORE_ERROR||E_USER_ERROR);
//error_reporting(E_ALL);
define('DS',DIRECTORY_SEPARATOR);
$db = JFactory::getDbo();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'modules/mod_ospropertysearch/asset/style.css');
$document->addScript(JURI::root().'components/com_osproperty/js/ajax.js');
include_once(JPATH_ROOT.DS."components".DS."com_osproperty".DS."helpers".DS."common.php");
include_once(JPATH_ROOT.DS."components".DS."com_osproperty".DS."helpers".DS."route.php");
include_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_osproperty".DS."helpers".DS."extrafields.php");
require_once(JPATH_ROOT.DIRECTORY_SEPARATOR."components".DIRECTORY_SEPARATOR."com_osproperty".DIRECTORY_SEPARATOR."helpers".DIRECTORY_SEPARATOR."helper.php");
require_once dirname(__FILE__).'/helper.php';
if (version_compare(JVERSION, '3.0', 'lt')) {
	OSPHelper::loadBootstrapStylesheet();
}else{
	$db = Jfactory::getDBO();
	$db->setQuery("Select fieldvalue from #__osrs_configuration where fieldname like 'load_bootstrap'");
	$loadbootstrap = $db->loadResult();
	if($loadbootstrap == 1){
		OSPHelper::loadBootstrapStylesheet();	
	}
}
$db = JFactory::getDBO();
$db->setQuery("Select * from #__osrs_configuration");
$configs = $db->loadObjectList();
$configClass = array();
foreach ($configs as $config) {
	$configClass[$config->fieldname] = $config->fieldvalue;
}
$show_keyword 			= $params->get('show_keyword',0);
$show_category 			= $params->get('show_category',0);
$show_type 				= $params->get('show_type',0);
$show_price			 	= $params->get('show_price',0);
$show_basic_slide 		= $params->get('show_basic_slide',1);
$show_details_slide 	= $params->get('show_details_slide',1);
$show_address_slide		= $params->get('show_address_slide',1);
$show_amenity_slide 	= $params->get('show_amenity_slide',1);
$show_other_slide 		= $params->get('show_other_slide',1);
$inputbox_width_site	= $params->get('inputbox_width_site',150);
$amenities_post			= JRequest::getVar('amenities');
$isFeatured				= JRequest::getVar('isFeatured',0);
$city					= JRequest::getVar('city',0);
$state_id				= JRequest::getVar('state_id',0);
$country_id				= JRequest::getVar('country_id',0);
$show_customfields		= $params->get('show_customfields',1);
$show_advancesearchform = $params->get('show_advancesearchform',1);
$moduleclass_sfx		= $params->get('moduleclass_sfx','');
$samepage				= $params->get('samepage',1);
$opengroups 			= $params->get('opengroups',0);
$property_type			= $params->get('property_type',0);
$random_id				= $module->id;

if($opengroups == 1){
	$div_style = "block";
	$character = "[-]";
}else{
	$div_style = "none";
	$character = "[+]";
}
//list the custom fields for searching
if($show_customfields == 1){
	//checked do search through extra field
	//get the list of the field groups
	$user = JFactory::getUser();
	if(intval($user->id) == 0){
		$access_sql = " and `access` = '0'";
	}else{
		$access_sql = "";
	}
	$db->setQuery("Select * from #__osrs_fieldgroups where published = '1' $access_sql order by ordering");
	$groups = $db->loadObjectList();
	if(count($groups) > 0){
		$extrafieldSql = array();
		for($i=0;$i<count($groups);$i++){
			$group = $groups[$i];
			$db->setQuery("Select * from #__osrs_extra_fields where group_id = '$group->id' and published = '1' and searchable = '1' $access_sql order by ordering");
			$fields = $db->loadObjectList();
			$group->fields = $fields;
		}
	}
}

if(($show_type == 1) and ($property_type == 0)){
	$typeArr[] = JHTML::_('select.option','',JText::_('Any'));
	$db->setQuery("Select id as value,type_name as text from #__osrs_types where published = '1' order by type_name");
	$protypes = $db->loadObjectList();
	$typeArr   = array_merge($typeArr,$protypes);
	$lists['type'] = JHTML::_('select.genericlist',$typeArr,'property_type','style="width:'.$inputbox_width_site.'px;" class="input-small"','value','text',JRequest::getVar('property_type',''));
}

if($show_category == 1){
	/**
	 * Build the select list for parent menu item
	 */
}

// price
$price			= JRequest::getVar('price',0);
$lists['price'] = HelperOspropertyCommon::generatePriceList($property_type,$price);

// number bath room
$nbath = Jrequest::getVar('nbath',0);
$bathArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
for($i=1;$i<=5;$i++){
	$bathArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nbath'] = JHTML::_('select.genericlist',$bathArr,'nbath',' class="input-mini" style="width:100px;"','value','text',$nbath);


//number bed room
$nbed = Jrequest::getVar('nbed',0);
$lists['nbed'] = $nbed;
$bedArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
for($i=1;$i<=5;$i++){
	$bedArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nbed'] = JHTML::_('select.genericlist',$bedArr,'nbed','class="input-mini" style="width:100px;"','value','text',$nbed);

//number bed room
$nroom = Jrequest::getVar('nroom',0);
$lists['room'] = $nroom;
$roomArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
for($i=1;$i<=5;$i++){
	$roomArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nroom'] = JHTML::_('select.genericlist',$roomArr,'nroom','class="input-mini" style="width:100px;"','value','text',$nroom);


//number bed floors
$nfloors = Jrequest::getVar('nfloors',0);
$lists['nfloors'] = $nfloors;
$floorArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
for($i=1;$i<=5;$i++){
	$floorArr[] = JHTML::_('select.option',$i,$i.'+');
}
$lists['nfloor'] = JHTML::_('select.genericlist',$floorArr,'nfloors','class="input-mini" style="width:100px;" ','value','text',$nfloors);

$lists['country'] = HelperOspropertyCommon::makeCountryList($country_id,'mcountry_id'.$random_id,'onchange="change_country_companyModule'.$random_id.'(this.value,0,0,'.$random_id.')"',JText::_('OS_ANY'),'style="width:'.$inputbox_width_site.'px;"');
		
$lists['state'] = HelperOspropertyCommon::makeStateList($country_id,$state_id,'mstate_id'.$random_id,'onchange="change_stateModule'.$random_id.'(this.value,'.$city.','.$random_id.')"',JText::_('OS_ANY'),'style="width:'.$inputbox_width_site.'px;"');
//list city
$lists['city'] = modOspropertySearchHelper::loadCity($option,$state_id, $city,$random_id);

$db->setQuery("Select * from #__osrs_amenities where published = '1'");
$amenities = $db->loadObjectList();

require( JModuleHelper::getLayoutPath( 'mod_ospropertysearch' ) );
?>